const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const dental_symptoms = sequelize.define(
    'dental_symptoms',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

logged_at: {
        type: DataTypes.DATE,
      
      

      },

tooth_identifier: {
        type: DataTypes.TEXT,
      
      

      },

symptom_type: {
        type: DataTypes.ENUM,
      
      

        values: [

"tooth_pain",


"sensitivity",


"bleeding_gums",


"gum_recession",


"mouth_ulcer",


"other"

        ],

      },

severity: {
        type: DataTypes.INTEGER,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  dental_symptoms.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.dental_symptoms.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });




    db.dental_symptoms.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.dental_symptoms.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return dental_symptoms;
};


